global
	log /dev/log	local0
	log /dev/log	local1 notice
	chroot /var/lib/haproxy
	stats socket /run/haproxy/admin.sock mode 660 level admin
	stats timeout 300s
	user haproxy
	group haproxy
	daemon

	# Default SSL material locations
	ca-base /etc/ssl/certs
	crt-base /etc/ssl/private

	# See: https://ssl-config.mozilla.org/#server=haproxy&server-version=2.0.3&config=intermediate
        ssl-default-bind-ciphers ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384
        ssl-default-bind-ciphersuites TLS_AES_128_GCM_SHA256:TLS_AES_256_GCM_SHA384:TLS_CHACHA20_POLY1305_SHA256
        ssl-default-bind-options ssl-min-ver TLSv1.2 no-tls-tickets

defaults
	log	global
	mode	http
	option	httplog
	option	dontlognull
        timeout connect 50000
        timeout client  500000
        timeout server  500000
	errorfile 400 /etc/haproxy/errors/400.http
	errorfile 403 /etc/haproxy/errors/403.http
	errorfile 408 /etc/haproxy/errors/408.http
	errorfile 500 /etc/haproxy/errors/500.http
	errorfile 502 /etc/haproxy/errors/502.http
	errorfile 503 /etc/haproxy/errors/503.http
	errorfile 504 /etc/haproxy/errors/504.http

frontend default-http
	mode http
	option httplog
    	bind *:61336
    	maxconn 16384
	default_backend local-docs-http
backend local-docs-http
	mode http
	balance static-rr
	server docs-3000 127.0.0.1:61337 check maxconn 10240
	server docs-3001 127.0.0.1:61338 check maxconn 10240
	server docs-3002 127.0.0.1:61339 check maxconn 10240
	server docs-3003 127.0.0.1:61340 check maxconn 10240
	server docs-3004 127.0.0.1:61341 check maxconn 10240
	server docs-3005 127.0.0.1:61342 check maxconn 10240
	server docs-3006 127.0.0.1:61343 check maxconn 10240
	server docs-3007 127.0.0.1:61344 check maxconn 10240
listen admin_stat # haproxy admin web
        bind 0.0.0.0:8888
        mode http
	#option http-use-htx
   	#http-request use-service prometheus-exporter if { path /metrics }
        stats refresh 30s
        stats uri /admin?stats
        stats realm Haproxy\ Statistics
        stats auth admin:gogogo
        stats enable